Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
07430 Graphics Major Always Sep 20, 2019, 16:58 Oct 3, 2019, 23:06
Tester Gryzor1363 View Status Public Platform MAME (Unofficial Binary)
Assigned To AJR Resolution Fixed OS Windows Vista/7/8 (64-bit)
Status [?] Resolved Driver nes.cpp
Version 0.211 Fixed in Version 0.214 Build 64-bit
Summary MESS-specific 07430: ultstunt & clones: The Ultimate Stuntman - corrupted intro screens and level 1 unplayable due to playfield corruption
Description Some corruption prevents correct display of a part of the intro screens, but can y bypassed to start level 1.

The problem starts right upon the beginning of the first stage, where the player will not be able to make anything of a graphically glitched playfield, with big gray squares overlays plaguing visibility and superimposing on the game scene, only briefly allowing it to be observed.
Steps To Reproduce Load ROM;
Pass the intro screens (some are corrupted but are not game-breaking as they can be bypassed)
Start level 1.

Glitching and successive "gray scaling" will be apparent all over the screen in parallel to the scrolling field.
Additional Information Bugs observed using build MAMEUI64 0.211.

Gameplay, even if graphically corrupted, is not stuck (i.e. not a game-breaking bug, unlike Timelord reported in issue #06902). As far as I have experienced and tested, the ROM runs fine and doesn't hang at any point in time.

Hence theoretically, the player can insist on grinding through the level and get past it, even though I haven't managed to clear the level with the critical visual impediment incurred by the bug.
Flags
Regression Version
Affected Sets / Systems ultstunt & clones
Attached Files
png file icon 0008.png (96,534 bytes) Sep 20, 2019, 17:03 Uploaded by Gryzor1363
Gryzor1363
png file icon 0010.png (99,045 bytes) Sep 20, 2019, 17:04 Uploaded by Gryzor1363
Gryzor1363
png file icon 0003.png (102,887 bytes) Sep 20, 2019, 17:04 Uploaded by Gryzor1363
Gryzor1363
Relationships
There are no relationship linked to this issue.
Notes
9
User avatar
No.16941
Tafoid
Administrator
Sep 20, 2019, 22:34
edited on: Sep 20, 2019, 22:35
I"m not seeing any of these severe corruption with MAMEDEV's latest binary (0.213) or current Git source.
It actually seems quite playable to me.
Are you using your own image, or the image detailed on the softlist for the system?
Can anyone else duplicate this?
User avatar
No.16944
Gryzor1363
Tester
Sep 20, 2019, 23:25
edited on: Sep 21, 2019, 00:17
You mean you do not see any perceptible glitches, intro screens included ?

AS for MAME, I just tried with the latest binary 0.213, via the MAMEUI64 frontend, and the results are exactly the same as depicted in the screenshots, for me at least.
Indeed as I said this is no game-breaking glitch, other than the inherently annoying nature of the alternating grey scales covering the playfield as it scrolls.
I am not sure I understand your last question entirely right about the softlist. If you mean whether I used a custom/hacked Nes dump or an officially acknowledged one from reliable sources, then the answer is the second : I used several images marked as original/unaltered from different well-known sources. The caps come from the US version.
User avatar
No.16945
AJR
Developer
Sep 21, 2019, 01:57
edited on: Sep 21, 2019, 02:23
I can confirm this occurs with Ultimate Stuntman, but only when loaded in a loose merged format and not through the softlist. It has to do with faulty mirroring, since changing "vertical" to "horizontal" in the softlist definition results in identical misbehavior. I'm not sure that trying to detect the specific cartridge here is reasonable, though.

On further examination, this is a real bug. The header specifies vertical mirroring, and MAME detects this correctly yet winds up installing horizontal mirroring instead.
User avatar
No.17008
Gryzor1363
Tester
Oct 1, 2019, 20:34
As per my testing, issue seems to be identical with MAMEUI64 0.214, can anyone else attempt to reproduce it ?
User avatar
No.17009
Tafoid
Administrator
Oct 1, 2019, 21:28
It would only be fixed if you updated all files (hash files.. in particular nes.hsi) with your install.
Try MAME 0.214 from mamedev.org if MAMEUI doesn't come packaged with the proper files.
User avatar
No.17010
Robbbert
Developer
Oct 2, 2019, 08:45
edited on: Oct 2, 2019, 13:49
Just checked, MAMEUI64 has the same nes.hsi that comes with MAME.

I cannot check the loose format roms listed in nes.hsi as I do not have them.

MAMEUI does not explicitly support hsi, as it is a legacy format, however if mame does, then it should work.

The game works perfectly from the software list.
User avatar
No.17013
Gryzor1363
Tester
Oct 2, 2019, 22:10
edited on: Oct 2, 2019, 22:15
My bad gentlemen, I simply did not think about the hash directory... used to copy over fresh configuration, rom, hlsl, nvram and bgfx-related artwork folders that I thought were the only ones critical to every new release.... Note duly taken, thank you both for your valuable input I will keep in mind for the future, Tafoid & Robbert.

I can now confirm that using the latest hash directory fixes The Ultimate Stuntman entirely also from the MAMEUI64 0.214 package, if that's still in question for any of you. As of right now, Timelord in issue #06902 happens to be the only NES game I know of from my personal list comprised of dozens of titles that would still be plagued with bugs rendering it unplayable, but that's would be off-topic here.

Keep up the great work, and kudos for the new release's many fixes on multiple machines.

Also, my apologies for again bumping a ticket in Resolved state without solid prior testing.

Regards,

-G
User avatar
No.17015
Robbbert
Developer
Oct 3, 2019, 00:26
Everything supplied is critical to a new release. Extract it all and don't pick & choose.
User avatar
No.17019
Gryzor1363
Tester
Oct 3, 2019, 23:06
I indeed realized that the hard way, an event that is sure to guarantee that I will not be caught mishandling any future release extracts.